Bug 26753 - eieio.elc missing from xemacs-21.1.*.rpm
eieio.elc missing from xemacs-21.1.*.rpm
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xemacs (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
http://ftp.xemacs.org/packages/
:
: 31041 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-08 18:14 EST by Ville Skyttä
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-15 06:53:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2001-02-08 18:14:11 EST
JDE fails to start with the message:

File mode specification error: (file-error "Cannot open load file" "eieio")

...with only the xemacs-21.1.*.rpm package installed (no xemacs-el, that
is) because the eieio libary (eieio.elc in this case) is not available.
The original package in http://ftp.xemacs.org/packages/jde-1.24-pkg.tar.gz
does not have it either but it contains the non-compiled eieio.el (as does
the xemacs-el-21.1.*.rpm), which makes it work.

However, it would be nice to have this included, since it can be
byte-compiled (if xemacs & xemacs-el are installed) eg. like:

cd /usr/lib/xemacs/xemacs-packages/lisp/jde
xemacs -batch -l ./eieio.el -f batch-byte-compile eieio.el

The bug is at least in the 7.0 update xemacs-21.1.14-2.7.i386.rpm and
rawhide's xemacs-21.1.14-3.i386.rpm
Comment 1 Trond Eivind Glomsrxd 2001-02-08 20:46:36 EST
It's distributed the way xemacs does, and I don't see any reason to change that...
it should be in the main rpm, though. Will move.
Comment 2 Trond Eivind Glomsrxd 2001-02-12 18:38:47 EST
Fixed in xemacs-21.1.14-5
Comment 3 Trond Eivind Glomsrxd 2001-03-07 23:49:18 EST
*** Bug 31041 has been marked as a duplicate of this bug. ***
Comment 4 Ville Skyttä 2001-04-15 06:53:00 EDT
The same problem is still in 6.2 powertool updates' xemacs-21.1.14-2.62.i386.rpm.
Comment 5 Trond Eivind Glomsrxd 2001-04-15 11:28:25 EDT
Of course, the RPMs are identical. As I wrote above, it's fixed in Rawhide. For
Red Hat Powertools 6.2, make sure to install xemacs-el if this is a problem.

Note You need to log in before you can comment on or make changes to this bug.